Skip to content

Get SMS app by ID
GA

Request

Retrieves a single SMS app by its ID within a project.

Security
BasicAuth and BearerAuth and OAuth2Production
Path
projectIdstringrequired

The unique ID of the project. You can find this on the Sinch Dashboard.

smsAppIdstringrequired

Sms App id.

curl -i -X GET \
  -u '<username>:<password>' \
  'https://provisioning.api.sinch.com/v1/projects/{projectId}/sms/smsApps/{smsAppId}' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

SMS app details

Bodyapplication/json
idstringrequired

SMS App id.

smsServiceIdstringrequired

Id of the SMS Service which the SMS App belongs to.

namestringrequired

Name of SMS App.

statusstring(SmsProvisioningStatesEnum)required

Status of SMS App.

Enum ValueDescription
ACTIVE

The resource is active and ready to use.

BLOCKED

The resource is blocked and cannot be used.

DELETED

The resource has been deleted.

DEPROVISIONING

The resource deprovisioning is currently in progress.

DEPROVISIONING_FAILED

The resource deprovisioning failed and requires attention.

FAILED_ADD

Adding the resource failed during the provisioning sequence.

FAILED_BLOCK

Blocking the resource failed during the provisioning sequence.

FAILED_DELETE

Deleting the resource failed during the provisioning sequence.

FAILED_UNBLOCK

Unblocking the resource failed during the provisioning sequence.

FAILED_UPDATE

Updating the resource failed during the provisioning sequence.

IN_PROGRESS_ADD

The resource creation sequence is currently in progress.

IN_PROGRESS_BLOCK

The resource blocking sequence is currently in progress.

IN_PROGRESS_DELETE

The resource deletion sequence is currently in progress.

IN_PROGRESS_UNBLOCK

The resource unblocking sequence is currently in progress.

IN_PROGRESS_UPDATE

The resource update sequence is currently in progress.

PENDING_ADD

The resource creation sequence is queued and waiting to start.

PENDING_BLOCK

The resource blocking sequence is queued and waiting to start.

PENDING_DELETE

The resource deletion sequence is queued and waiting to start.

PENDING_UNBLOCK

The resource unblocking sequence is queued and waiting to start.

PENDING_UPDATE

The resource update sequence is queued and waiting to start.

PROVISIONING

The provisioning sequence is currently in progress.

PROVISIONING_ADD

The provisioning system is actively processing resource creation.

PROVISIONING_ADD_FAILED

The provisioning flow failed while attempting to create the resource.

PROVISIONING_BLOCK

The provisioning system is actively processing resource blocking.

PROVISIONING_BLOCK_FAILED

The provisioning flow failed while attempting to block the resource.

PROVISIONING_FAILED

The provisioning sequence failed and requires technical attention.

PROVISIONING_UNBLOCK

The provisioning system is actively processing resource unblocking.

PROVISIONING_UNBLOCK_FAILED

The provisioning flow failed while attempting to unblock the resource.

PROVISIONING_UPDATE

The provisioning system is actively processing a resource update.

PROVISIONING_UPDATE_FAILED

The provisioning flow failed while attempting to update the resource.

STATUS_UNSPECIFIED

The provisioning status was not specified by the upstream system.

UNRECOGNIZED

The value returned by an upstream system is not recognized by this API version.

regionsArray of stringsrequired

List of regions of the app.

Items Enum ValueDescription
AU

The application operates within the Australia region.

BR

The application operates within the Brazil region.

CA

The application operates within the Canada region.

EU

The application operates within the Europe region.

US

The application operates within the United States region.

UNRECOGNIZED

The value returned by an upstream system is not recognized by this API version.

testbooleanrequired

True if the app is a test app.

conversationApiAppDetailsobject(SmsConversationApiAppDto)

If set, the details of the Conversation API App the sender is connected to.

Response

Response with single SMS app details.

{ "id": "439fffeedc41494ca58b99a534139bb0", "smsServiceId": "4b4ef32ba72d415cb259d179afa33d75", "name": "Sms app name", "status": "ACTIVE", "regions": [ "EU" ], "conversationApiAppDetails": { "id": "4CF9CE97504C4A468F4610919D17ECC1", "projectId": "ea026751-3edf-40a9-ad93-1b382bd60a78", "region": "EU", "channelStatus": "ACTIVE" }, "test": false }
We'd love to hear from you!
Rate this content: